Update member in channel
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Update the role of a conversationMember in a channel. This operation is allowed only for channels with a membershipType value of private or shared.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission Type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | ChannelMember.ReadWrite.All. |
| Delegated (personal Microsoft account) | Not supported |
| Application | ChannelMember.ReadWrite.All. |
HTTP request
PATCH /teams/{team-id}/channels/{channel-id}/members/{membership-id}
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-type | application/json. Required. |
Request body
In the request body, supply the values for the relevant fields to update. Existing properties that are not included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance, don't include existing values that haven't changed.
| Property | Type | Description |
|---|---|---|
| roles | string collection | The role for the user. Must be owner or empty. Guest users are automatically stamped with guest role and this value cannot be updated. |
Response
If successful, this method returns a 200 OK response code and an updated conversationMember object in the response body.
Example
Request
The following is a request to apply the owner role to an existing member of a channel.
PATCH https://graph.microsoft.com/beta/teams/ece6f0a1-7ca4-498b-be79-edf6c8fc4d82/channels/19%3A56eb04e133944cf69e603c5dac2d292e%40thread.skype/members/ZWUwZjVhZTItOGJjNi00YWU1LTg0NjYtN2RhZWViYmZhMDYyIyM3Mzc2MWYwNi0yYWM5LTQ2OWMtOWYxMC0yNzlhOGNjMjY3Zjk=
content-type: application/json
content-length: 26
{
"@odata.type":"#microsoft.graph.aadUserConversationMember",
"roles": ["owner"]
}
Response
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#teams('ece6f0a1-7ca4-498b-be79-edf6c8fc4d82')/channels('19%3A56eb04e133944cf69e603c5dac2d292e%40thread.skype')/members/microsoft.graph.aadUserConversationMember/$entity",
"@odata.type": "#microsoft.graph.aadUserConversationMember",
"id": "ZWUwZjVhZTItOGJjNi00YWU1LTg0NjYtN2RhZWViYmZhMDYyIyM3Mzc2MWYwNi0yYWM5LTQ2OWMtOWYxMC0yNzlhOGNjMjY3Zjk=",
"roles": ["owner"],
"displayName": "John Doe",
"userId": "8b081ef6-4792-4def-b2c9-c363a1bf41d5",
"email": null,
"tenantId": "f2eea028-3898-4e55-b611-2e2d960f7512"
}
See also
Feedback
Submit and view feedback for